<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder:  Fichier source de inc/hash_table.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('hash__table_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">hash_table.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="hash__table_8h.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _HASH_TABLE_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define _HASH_TABLE_H_</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="hash__table_8h.html#a38a196d020f78f178a33927d741a03f2">   19</a></span>&#160;<span class="preprocessor">#define STR_SIZE 4095</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="structelement__t.html">   25</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="structelement__t.html#a2330aef04d68245bea0368781591266e">   26</a></span>&#160;    <span class="keywordtype">char</span> path[<a class="code" href="hash__table_8h.html#a38a196d020f78f178a33927d741a03f2">STR_SIZE</a>];    </div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="structelement__t.html#aca7038864e6683ee5614888cb123ccbc">   27</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structelement__t.html#aca7038864e6683ee5614888cb123ccbc">hash</a>;               </div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="structelement__t.html#a69d67b88ed7a688fb8e0378f8430fed0">   28</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structelement__t.html#a69d67b88ed7a688fb8e0378f8430fed0">state</a>;              </div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;} <a class="code" href="structelement__t.html">element_t</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="structtable__t.html">   35</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="structtable__t.html#a38fae5be94a269787b39277927c509f7">   36</a></span>&#160;    <a class="code" href="structelement__t.html">element_t</a>* <a class="code" href="structtable__t.html#a38fae5be94a269787b39277927c509f7">path_table</a>;  </div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="structtable__t.html#a772202fba03dadac17245da66712f29e">   37</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structtable__t.html#a772202fba03dadac17245da66712f29e">size</a>;               </div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="structtable__t.html#a9f2831a75cb9e1a1d1591ae9ab4903de">   38</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structtable__t.html#a9f2831a75cb9e1a1d1591ae9ab4903de">cnt</a>;                </div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;} <a class="code" href="structtable__t.html">table_t</a>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<a class="code" href="structtable__t.html">table_t</a>* <a class="code" href="hash__table_8h.html#aa40b7c45d56805705029ce03e46fa375">new_table</a>(<span class="keywordtype">int</span> <a class="code" href="list_8h.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keywordtype">void</span> <a class="code" href="hash__table_8h.html#aa1177c49e8965fa9e2e6bfa24a433259">resize_table</a>(<a class="code" href="structtable__t.html">table_t</a>* table, <span class="keywordtype">int</span> <a class="code" href="list_8h.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keywordtype">void</span> <a class="code" href="hash__table_8h.html#af4448474f4a1e890757ce5c136f87266">table_copy</a>(<a class="code" href="structtable__t.html">table_t</a>* dst, <a class="code" href="structtable__t.html">table_t</a>* src);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keywordtype">void</span> <a class="code" href="hash__table_8h.html#aed3946710431ae10a32e59083e312927">clear_table</a>(<a class="code" href="structtable__t.html">table_t</a>* table);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keywordtype">int</span> <a class="code" href="hash__table_8h.html#a600e81c0adcafa7bb71cd0ff899da9dc">insert_path</a>(<a class="code" href="structtable__t.html">table_t</a>* table, <span class="keywordtype">char</span>* path);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keywordtype">int</span> <a class="code" href="hash__table_8h.html#a5420849a0d0b03ddc3afbba911fd301a">search_path</a>(<a class="code" href="structtable__t.html">table_t</a>* table, <span class="keywordtype">char</span>* path);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keywordtype">void</span> <a class="code" href="hash__table_8h.html#abf4394175d87de06a83d8793ace043e4">print_table</a>(<a class="code" href="structtable__t.html">table_t</a>* table);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keywordtype">void</span> <a class="code" href="hash__table_8h.html#ad7309362ff9856d83e36336ea57c6acc">free_table</a>(<a class="code" href="structtable__t.html">table_t</a>* table);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<a class="code" href="structtable__t.html">table_t</a>* <a class="code" href="hash__table_8h.html#ae8010dd176ff1f0dc871e36887436146">intersect_table</a>(<a class="code" href="structtable__t.html">table_t</a>* table1, <a class="code" href="structtable__t.html">table_t</a>* table2);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<a class="code" href="structtable__t.html">table_t</a>* <a class="code" href="hash__table_8h.html#ae83004e162a5d1ab36375cd2810848d8">union_table</a>(<a class="code" href="structtable__t.html">table_t</a>* table1, <a class="code" href="structtable__t.html">table_t</a>* table2);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<a class="code" href="structtable__t.html">table_t</a>* <a class="code" href="hash__table_8h.html#ac0ac152eddf059f9b3a8f2bbb99e0162">substract_table</a>(<a class="code" href="structtable__t.html">table_t</a>* table1, <a class="code" href="structtable__t.html">table_t</a>* substracted_table);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="hash__table_8h_html_aa1177c49e8965fa9e2e6bfa24a433259"><div class="ttname"><a href="hash__table_8h.html#aa1177c49e8965fa9e2e6bfa24a433259">resize_table</a></div><div class="ttdeci">void resize_table(table_t *table, int size)</div><div class="ttdoc">Redimensionnement de la table de hachage. </div><div class="ttdef"><b>Definition:</b> hash_table.c:82</div></div>
<div class="ttc" id="structtable__t_html_a772202fba03dadac17245da66712f29e"><div class="ttname"><a href="structtable__t.html#a772202fba03dadac17245da66712f29e">table_t::size</a></div><div class="ttdeci">int size</div><div class="ttdef"><b>Definition:</b> hash_table.h:37</div></div>
<div class="ttc" id="structelement__t_html"><div class="ttname"><a href="structelement__t.html">element_t</a></div><div class="ttdoc">Représente un élément d&amp;#39;une table de hash. </div><div class="ttdef"><b>Definition:</b> hash_table.h:25</div></div>
<div class="ttc" id="list_8h_html_a8ffe93a3beaf22d1d8cd6ee35beb1012"><div class="ttname"><a href="list_8h.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a></div><div class="ttdeci">unsigned int size(node_t *list)</div><div class="ttdoc">Calcul de la taille de la liste. </div><div class="ttdef"><b>Definition:</b> list.c:135</div></div>
<div class="ttc" id="hash__table_8h_html_a38a196d020f78f178a33927d741a03f2"><div class="ttname"><a href="hash__table_8h.html#a38a196d020f78f178a33927d741a03f2">STR_SIZE</a></div><div class="ttdeci">#define STR_SIZE</div><div class="ttdef"><b>Definition:</b> hash_table.h:19</div></div>
<div class="ttc" id="hash__table_8h_html_a600e81c0adcafa7bb71cd0ff899da9dc"><div class="ttname"><a href="hash__table_8h.html#a600e81c0adcafa7bb71cd0ff899da9dc">insert_path</a></div><div class="ttdeci">int insert_path(table_t *table, char *path)</div><div class="ttdoc">Insertion d&amp;#39;un path dans la table de hachage. </div><div class="ttdef"><b>Definition:</b> hash_table.c:124</div></div>
<div class="ttc" id="hash__table_8h_html_ae8010dd176ff1f0dc871e36887436146"><div class="ttname"><a href="hash__table_8h.html#ae8010dd176ff1f0dc871e36887436146">intersect_table</a></div><div class="ttdeci">table_t * intersect_table(table_t *table1, table_t *table2)</div><div class="ttdoc">Intersection de deux tables de hachage. </div><div class="ttdef"><b>Definition:</b> hash_table.c:194</div></div>
<div class="ttc" id="hash__table_8h_html_aed3946710431ae10a32e59083e312927"><div class="ttname"><a href="hash__table_8h.html#aed3946710431ae10a32e59083e312927">clear_table</a></div><div class="ttdeci">void clear_table(table_t *table)</div><div class="ttdoc">Vidange de la table de hachage en mettant l&amp;#39;état de chaque élément à 0. </div><div class="ttdef"><b>Definition:</b> hash_table.c:110</div></div>
<div class="ttc" id="structtable__t_html"><div class="ttname"><a href="structtable__t.html">table_t</a></div><div class="ttdoc">Représente la table de hash. </div><div class="ttdef"><b>Definition:</b> hash_table.h:35</div></div>
<div class="ttc" id="hash__table_8h_html_af4448474f4a1e890757ce5c136f87266"><div class="ttname"><a href="hash__table_8h.html#af4448474f4a1e890757ce5c136f87266">table_copy</a></div><div class="ttdeci">void table_copy(table_t *dst, table_t *src)</div><div class="ttdoc">Copie d&amp;#39;une table de hachage vers une autre. </div><div class="ttdef"><b>Definition:</b> hash_table.c:97</div></div>
<div class="ttc" id="hash__table_8h_html_ae83004e162a5d1ab36375cd2810848d8"><div class="ttname"><a href="hash__table_8h.html#ae83004e162a5d1ab36375cd2810848d8">union_table</a></div><div class="ttdeci">table_t * union_table(table_t *table1, table_t *table2)</div><div class="ttdoc">Union de deux tables de hachage. </div><div class="ttdef"><b>Definition:</b> hash_table.c:215</div></div>
<div class="ttc" id="hash__table_8h_html_ac0ac152eddf059f9b3a8f2bbb99e0162"><div class="ttname"><a href="hash__table_8h.html#ac0ac152eddf059f9b3a8f2bbb99e0162">substract_table</a></div><div class="ttdeci">table_t * substract_table(table_t *table1, table_t *substracted_table)</div><div class="ttdoc">Soustraire une table de hachage d&amp;#39;une autre. </div><div class="ttdef"><b>Definition:</b> hash_table.c:229</div></div>
<div class="ttc" id="hash__table_8h_html_a5420849a0d0b03ddc3afbba911fd301a"><div class="ttname"><a href="hash__table_8h.html#a5420849a0d0b03ddc3afbba911fd301a">search_path</a></div><div class="ttdeci">int search_path(table_t *table, char *path)</div><div class="ttdoc">Recherche d&amp;#39;un path dans la table de hachage. </div><div class="ttdef"><b>Definition:</b> hash_table.c:150</div></div>
<div class="ttc" id="structelement__t_html_a69d67b88ed7a688fb8e0378f8430fed0"><div class="ttname"><a href="structelement__t.html#a69d67b88ed7a688fb8e0378f8430fed0">element_t::state</a></div><div class="ttdeci">int state</div><div class="ttdef"><b>Definition:</b> hash_table.h:28</div></div>
<div class="ttc" id="structtable__t_html_a9f2831a75cb9e1a1d1591ae9ab4903de"><div class="ttname"><a href="structtable__t.html#a9f2831a75cb9e1a1d1591ae9ab4903de">table_t::cnt</a></div><div class="ttdeci">int cnt</div><div class="ttdef"><b>Definition:</b> hash_table.h:38</div></div>
<div class="ttc" id="structtable__t_html_a38fae5be94a269787b39277927c509f7"><div class="ttname"><a href="structtable__t.html#a38fae5be94a269787b39277927c509f7">table_t::path_table</a></div><div class="ttdeci">element_t * path_table</div><div class="ttdef"><b>Definition:</b> hash_table.h:36</div></div>
<div class="ttc" id="hash__table_8h_html_abf4394175d87de06a83d8793ace043e4"><div class="ttname"><a href="hash__table_8h.html#abf4394175d87de06a83d8793ace043e4">print_table</a></div><div class="ttdeci">void print_table(table_t *table)</div><div class="ttdoc">Affichage de la table de hachage sur la sortie standard. </div><div class="ttdef"><b>Definition:</b> hash_table.c:176</div></div>
<div class="ttc" id="hash__table_8h_html_ad7309362ff9856d83e36336ea57c6acc"><div class="ttname"><a href="hash__table_8h.html#ad7309362ff9856d83e36336ea57c6acc">free_table</a></div><div class="ttdeci">void free_table(table_t *table)</div><div class="ttdoc">Libération de la mémoire de la table de hachage. </div><div class="ttdef"><b>Definition:</b> hash_table.c:166</div></div>
<div class="ttc" id="hash__table_8h_html_aa40b7c45d56805705029ce03e46fa375"><div class="ttname"><a href="hash__table_8h.html#aa40b7c45d56805705029ce03e46fa375">new_table</a></div><div class="ttdeci">table_t * new_table(int size)</div><div class="ttdoc">Création d&amp;#39;une table de hachage vide. </div><div class="ttdef"><b>Definition:</b> hash_table.c:65</div></div>
<div class="ttc" id="structelement__t_html_aca7038864e6683ee5614888cb123ccbc"><div class="ttname"><a href="structelement__t.html#aca7038864e6683ee5614888cb123ccbc">element_t::hash</a></div><div class="ttdeci">int hash</div><div class="ttdef"><b>Definition:</b> hash_table.h:27</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="hash__table_8h.html">hash_table.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
